;**************************************************************************
;*
;* FILE  sys.asm
;* Copyright (c) 2007 Daniel Kahlin <daniel@kahlin.net>
;* Written by Daniel Kahlin <daniel@kahlin.net>
;* $Id: sys.asm,v 1.2 2007-05-03 11:10:53 tlr Exp $
;*
;* DESCRIPTION
;*   cosmetic starter.
;*
;******
	IFNCONST RESTORE

	processor	6502

	MAC	sac
	dc.b	$32,{1}
	ENDM
	MAC	sir
	dc.b	$42,{1}
	ENDM
	MAC	bra
	dc.b	$12,{1}-2-.
	ENDM

	seg	code
	org	$0801
;**************************************************************************
;*
;* Basic line!
;*
;******
StartOfFile:
	dc.w	EndLine
	dc.w	0
	dc.b	$9e,"2069 /T.L.R/",0
;	        0 SYS2069 /T.L.R/
EndLine:
	dc.w	0
        jmp     start
date:	
        dc.b    YEAR>>8,YEAR&$ff,MONTH,DAY
start:
	sei
	sac	#$99
	lda	#$03
	sac	#$00
	ldx	#1
	stx	$d03f
	ldx	#$20
	stx	$d03c
	
	echo	.
	ELSE /* RESTORE */
;**************************************************************************
;*
;* Restore macro code
;*
;******
	sei
	ldx	#1
	stx	$d03f
	dex
	stx	$d03c
	stx	$d03f
	sac	#$99
	txa
	sac	#$00
	cli
	ENDIF /* RESTORE */

; eof
